<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Moon rise and set</title>
</head>
<body>
<pre>
<?php
require_once("MoonRiSet.cls.php");

if (isset($_GET["y"]))
    $y = intval($_GET["y"]);
else
    $y = date("Y");

$moon = new MoonRiSet(50, 15, "Europe/Prague");
//$moon = new MoonRiSet(50.1, 14.4, "Europe/Prague");
//$moon = new MoonRiSet(66.5, 0, "Etc/GMT");
//$moon = new MoonRiSet(-33.9, 151.2, "Australia/Sydney");
?>

                                                    <?php echo "Rise and Set for the Moon for ", $y, "\n\n"; ?>
                                       <?php echo "Latitude = ", $moon->earthLatitude, "&deg;  Longitude = ", $moon->earthLongitude, "&deg;  Timezone = ", $moon->earthTimezone, "\n"; ?>


       Jan.       Feb.       Mar.       Apr.       May        June       July       Aug.       Sept.      Oct.       Nov.       Dec.  
Day Rise  Set  Rise  Set  Rise  Set  Rise  Set  Rise  Set  Rise  Set  Rise  Set  Rise  Set  Rise  Set  Rise  Set  Rise  Set  Rise  Set
     h m  h m   h m  h m   h m  h m   h m  h m   h m  h m   h m  h m   h m  h m   h m  h m   h m  h m   h m  h m   h m  h m   h m  h m
<?php
for ($d = 1; $d <= 31; $d++) {
    printf("%02d", $d);
    $addRiSet = array();
    for ($m = 1; $m <= 12; $m++) {   
        if ($d <= cal_days_in_month(CAL_GREGORIAN, $m, $y)) {
            $moon->setDate($y, $m, $d);
            printf("  %4s %4s", $moon->rise["hhmm"], $moon->set["hhmm"]);
            if ($moon->rise2["hhmm"] !== false)
                $addRiSet[11*$m-6] = $moon->rise2["hhmm"];
            elseif ($moon->set2["hhmm"] !== false)
                $addRiSet[11*$m-1] = $moon->set2["hhmm"];
        }
        else
            printf("           ");
    }
    if (sizeof($addRiSet) > 0)
        print getAddLine($d, $addRiSet);

    printf("\n");
}

///////////////////////////////
function getAddLine($d, $a) {
    $line = sprintf("\n%02d", $d).str_repeat(" ", 132);
    foreach ($a as $i => $text)
        $line = substr_replace($line, $text, $i, strlen($text));    
    return $line;
}
?>
</body>
</html>

